Mac OS cannot install SQL Explorer

Highlighted
Four Stars

Mac OS cannot install SQL Explorer

I'm unable to install the additional packages in  Talent Open Studio for Data Quality 7.2.1

 

After the restart the same window appear over and over again.

 

I already tried reinstalling the software, I think that maybe there is no permission to write those packages?

 

I put the logs of the system down here.

 

Thank you!

 

Screen Shot 2019-08-23 at 12.48.28 PM.pngScreen Shot 2019-08-23 at 12.48.37 PM.png

 

Screen Shot 2019-08-23 at 12.48.49 PM.png

  System Version:	macOS 10.14.5 (18F132) MOJAVE
Talend Open Profiler

Version: 7.2.1
Build id: 


(c) Copyright 2006-2019 Talend Inc.  All rights reserved.
Visit http://www.talend.com

 

 

  GNU nano 2.0.6                                         File: .log                                                                                         

!SESSION 2019-08-23 13:12:21.774 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.8.0_144
java.vendor=Oracle Corporation
BootLoader constants: OS=macosx, ARCH=x86_64, WS=cocoa, NL=en_US
Framework arguments:  -keyring /Users/gerardo/.eclipse_keyring -showlocation
Command-line arguments:  -os macosx -ws cocoa -arch x86_64 -keyring /Users/gerardo/.eclipse_keyring -showlocation

!ENTRY org.eclipse.osgi 4 0 2019-08-23 13:12:22.539
!MESSAGE Bundle org.eclipse.gmf.runtime.common.ui.printing.win32@4 not found.

!ENTRY org.eclipse.compare.win32 4 0 2019-08-23 13:12:22.925
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.compare.win32 [3]
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(osgi.os=win32)"

        at org.eclipse.osgi.container.Module.start(Module.java:451)
        at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1783)
        at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1762)
        at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1725)
        at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1656)
        at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
        at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:233)
        at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:343)

!ENTRY org.talend.platform.logging 1 0 2019-08-23 13:12:25.440
!MESSAGE 2019-08-23 13:12:25,437 INFO  org.talend.dataprofiler.rcp.Activator  - Starting Talend Profiling platform.


!ENTRY org.eclipse.core.net 1 0 2019-08-23 13:12:34.884
!MESSAGE System property http.nonProxyHosts has been set to local|*.local|169.254/16|*.169.254/16 by an external source. This value will be overwritten usi$

 

Tags (1)
Highlighted
Moderator

Re: Mac OS cannot install SQL Explorer

Hello,

Please make sure that you install JDK 8 instead of JRE.

Could you please refer to this online installation guide about:TalendHelpCenter:Compatible Operating Systems to see if you are on a compatible platform?

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Highlighted
Five Stars

Re: Mac OS cannot install SQL Explorer

I'm having the same problem.  Here's what my java -version is displaying:

 

 

openjdk version "1.8.0_232"
OpenJDK Runtime Environment (Zulu 8.42.0.21-CA-macosx) (build 1.8.0_232-b18)
OpenJDK 64-Bit Server VM (Zulu 8.42.0.21-CA-macosx) (build 25.232-b18, mixed mode)

 

Highlighted
Moderator

Re: Mac OS cannot install SQL Explorer

Hello @mark-psl 

Did you get this issue on V 7.2.1 as well? What's your Mac OS version?

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Highlighted
Five Stars

Re: Mac OS cannot install SQL Explorer

Yes, sorry.  I'm trying this on v7.2.1.  I'm on macOS 10.14.6 (Mojave)

 

Thanks.

Highlighted
Five Stars

Re: Mac OS cannot install SQL Explorer

Here's a capture of my recent attempts this morning that might help.  

 

Talend-DQ-issues-log-191108.png

Highlighted
Five Stars

Re: Mac OS cannot install SQL Explorer

Should I submit this to the Bug Tracker?

 

 

Highlighted
Moderator

Re: Mac OS cannot install SQL Explorer

Hello,

Please make sure that Studio conform to JDK Compiler Compliance Level 11 (default), when running Oracle 11.

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Highlighted
Five Stars

Re: Mac OS cannot install SQL Explorer


@xdshi wrote:

Hello,

Please make sure that Studio conform to JDK Compiler Compliance Level 11 (default), when running Oracle 11.

Best regards

Sabrina


Thanks Sabrina.  Not sure what you mean.  I'm not running Oracle 11 that I know of.  Just the standard install that comes with the Community version of DQ.  Where would I find the setting to ensure conformance to JDK?

Highlighted
Five Stars

Re: Mac OS cannot install SQL Explorer

Found the compliance setting and it looks like it's set to 11.Preferences_and_Talend_Open_Studio_for_Data_Quality__7_2_1_20190620_1446_.png

 

Highlighted
Five Stars

Re: Mac OS cannot install SQL Explorer

Note, I tried this with the latest build but still have the same effect.

I'm trying to evaluate these tools for a client but I'm afraid that if the community version is this problematic then paying almost $1200/month will frustrate them and force us to look elsewhere.  Any help would be appreciated.

 

image.png

 

Highlighted
Employee

Re: Mac OS cannot install SQL Explorer

Hi mark-psl

 

it is strange

we test again on 7.2.1 on mac(10.15.2 (19C57))

didn't reproduce this issue

after accept the download dialog, it will download jars to %studio%\dropins, see follows

Screen Shot 2020-01-07 at 18.01.11.png

and then restart although  popup "Addtional talend package" dialog, but there will not show the "SQL explorer for Data Quality" and "Chart for Data Quality"

 

Could you help us to check the above folder content?

 

Regards
Jian
----------------------------------------------------------
Talend | Data Quality

 

Highlighted
Five Stars

Re: Mac OS cannot install SQL Explorer

Jian,

 

I'm seeing the same in my dropin folder:

TalendDQ-dropins.png

As noted in a previous post I tried the 7.3.1 version but getting the same results.

Highlighted
Five Stars

Re: Mac OS cannot install SQL Explorer

Updating as I've tried TOS_DQ-20200117_1600-V7.3.1M6 release.  

 

I've also updated to macOS Catalina 10.15.3.  Java versions are the same as above.

 

Still the same issue.

 

 

Highlighted
Five Stars

Re: Mac OS cannot install SQL Explorer

Jian,

 

Can you share with my your Java configuration screenshot on your macOS test device?  I want to make sure I'm mirroring what you have.

 

Note also I can get this to work on a Windows 10 instance.

 

Thanks!

Highlighted
Five Stars

Re: Mac OS cannot install SQL Explorer

One more piece of information.  I copied the .jar files mentioned above into the plugins folder and the repeating message at startup does not happen.  The issue now is I'm not able to "view rows", etc. when looking at a indicator result.

 

2019 GARTNER MAGIC QUADRANT FOR DATA INTEGRATION TOOL

Talend named a Leader.

Get your copy

OPEN STUDIO FOR DATA INTEGRATION

Kickstart your first data integration and ETL projects.

Download now

Enabling Data Governance

Learn how to enable Data Governance

Watch Now

The Definitive Guide to Government Data Quality

Take a peek at the definitive guide to Government Data Quality

Read